Skip to content

List currencies

GET
/v1/merchants/{merchant_id}/projects/{project_id}/currencies/

Returns the ISO 4217 currencies per payment method of the project. Authenticate with an API key, not a user token.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

project_id*string

The ID of the project, or self for the project of the API key.

Response Body

The currencies per payment method.

application/json
  1. response
payment_methods?
curl -X GET 'https://api.example.com/v1/merchants/self/projects/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/currencies/' \  --user "$API_KEY:"
{  "payment_methods": {    "apple-pay": {      "currencies": [        "EUR"      ]    },    "bancontact": {      "currencies": [        "EUR"      ]    },    "credit-card": {      "currencies": [        "EUR",        "USD"      ]    },    "google-pay": {      "currencies": [        "EUR"      ]    }  }}